Skip to main content
GET
/
2025-01
/
retail-media
/
reports
/
{reportId}
/
status
/2025-01/retail-media/reports/{reportId}/status
curl --request GET \
  --url https://api.criteo.com/2025-01/retail-media/reports/{reportId}/status \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {
      "createdAt": "<string>",
      "expiresAt": "<string>",
      "fileSizeBytes": 123,
      "id": "<string>",
      "md5CheckSum": "<string>",
      "message": "<string>",
      "rowCount": 123
    },
    "id": "<string>",
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

reportId
string
required

The ID of the report to retrieve

Response

200 - application/json

Success

Async Report response format

data
object

A class that represents a domain entity exposed by an API

errors
object[] | null
read-only
warnings
object[] | null
read-only